## EogImage

EogImage

## Functions

GQuark | eog_image_error_quark ()
EogImage * | eog_image_new_file ()
gboolean | eog_image_load ()
void | eog_image_cancel_load ()
gboolean | eog_image_has_data ()
void | eog_image_data_ref ()
void | eog_image_data_unref ()
void | eog_image_set_thumbnail ()
gboolean | eog_image_save_as_by_info ()
gboolean | eog_image_save_by_info ()
GdkPixbuf * | eog_image_get_pixbuf ()
GdkPixbuf * | eog_image_get_thumbnail ()
void | eog_image_get_size ()
goffset | eog_image_get_bytes ()
gboolean | eog_image_is_modified ()
void | eog_image_modified ()
const gchar * | eog_image_get_caption ()
const gchar * | eog_image_get_collate_key ()
ExifData * | eog_image_get_exif_info ()
gpointer | eog_image_get_xmp_info ()
GFile * | eog_image_get_file ()
gchar * | eog_image_get_uri_for_display ()
EogImageStatus | eog_image_get_status ()
void | eog_image_transform ()
void | eog_image_autorotate ()
cmsHPROFILE | eog_image_get_profile ()
void | eog_image_apply_display_profile ()
void | eog_image_undo ()
GList * | eog_image_get_supported_mime_types ()
gboolean | eog_image_is_supported_mime_type ()
void | eog_image_file_changed ()
gboolean | eog_image_is_file_changed ()
EogImageMetadataStatus | eog_image_get_metadata_status ()
RsvgHandle * | eog_image_get_svg ()
EogTransform * | eog_image_get_transform ()
gboolean | eog_image_is_animation ()
gboolean | eog_image_is_svg ()
gboolean | eog_image_start_animation ()
gboolean | eog_image_is_file_writable ()
gboolean | eog_image_is_multipaged ()

## Signals

void | changed | Run Last
void | file-changed | Run Last
void | next-frame | Run Last
void | save-progress | Run Last
void | size-prepared | Run Last
void | thumbnail-changed | Run Last

## Types and Values

enum | EogImageData
#define | EOG_IMAGE_DATA_ALL
enum | EogImageError
#define | EOG_IMAGE_ERROR
enum | EogImageMetadataStatus
enum | EogImageStatus
| EogImage

## Object Hierarchy

        GObject
        ╰── EogImage

## Description

## Functions

### eog_image_error_quark ()

    GQuark
    eog_image_error_quark (void);

### eog_image_new_file ()

    EogImage *
    eog_image_new_file (GFile *file,
                        const gchar *caption);

### eog_image_load ()

    gboolean
    eog_image_load (EogImage *img,
                    EogImageData data2read,
                    EogJob *job,
                    GError **error);

### eog_image_cancel_load ()

    void
    eog_image_cancel_load (EogImage *img);

### eog_image_has_data ()

    gboolean
    eog_image_has_data (EogImage *img,
                        EogImageData data);

### eog_image_data_ref ()

    void
    eog_image_data_ref (EogImage *img);

### eog_image_data_unref ()

    void
    eog_image_data_unref (EogImage *img);

### eog_image_set_thumbnail ()

    void
    eog_image_set_thumbnail (EogImage *img,
                             GdkPixbuf *pixbuf);

### eog_image_save_as_by_info ()

    gboolean
    eog_image_save_as_by_info (EogImage *img,
                               EogImageSaveInfo *source,
                               EogImageSaveInfo *target,
                               GError **error);

### eog_image_save_by_info ()

    gboolean
    eog_image_save_by_info (EogImage *img,
                            EogImageSaveInfo *source,
                            GError **error);

### eog_image_get_pixbuf ()

    GdkPixbuf *
    eog_image_get_pixbuf (EogImage *img);

Gets the GdkPixbuf of the image

#### Parameters

img | a EogImage |

#### Returns

a GdkPixbuf.

[transfer full]

### eog_image_get_thumbnail ()

    GdkPixbuf *
    eog_image_get_thumbnail (EogImage *img);

Gets the thumbnail pixbuf for `img`

#### Parameters

img | a EogImage |

#### Returns

a GdkPixbuf with a thumbnail.

[transfer full]

### eog_image_get_size ()

    void
    eog_image_get_size (EogImage *img,
                        gint *width,
                        gint *height);

### eog_image_get_bytes ()

    goffset
    eog_image_get_bytes (EogImage *img);

### eog_image_is_modified ()

    gboolean
    eog_image_is_modified (EogImage *img);

### eog_image_modified ()

    void
    eog_image_modified (EogImage *img);

### eog_image_get_caption ()

    const gchar *
    eog_image_get_caption (EogImage *img);

### eog_image_get_collate_key ()

    const gchar *
    eog_image_get_collate_key (EogImage *img);

### eog_image_get_exif_info ()

    ExifData *
    eog_image_get_exif_info (EogImage *img);

### eog_image_get_xmp_info ()

    gpointer
    eog_image_get_xmp_info (EogImage *img);

Gets the XMP info for `img` or NULL if compiled without libexempi support.

#### Parameters

img | a EogImage |

#### Returns

the xmp data.

[transfer full]

### eog_image_get_file ()

    GFile *
    eog_image_get_file (EogImage *img);

Gets the GFile associated with `img`

#### Parameters

img | a EogImage |

#### Returns

a GFile.

[transfer full]

### eog_image_get_uri_for_display ()

    gchar *
    eog_image_get_uri_for_display (EogImage *img);

### eog_image_get_status ()

    EogImageStatus
    eog_image_get_status (EogImage *img);

### eog_image_transform ()

    void
    eog_image_transform (EogImage *img,
                         EogTransform *trans,
                         EogJob *job);

### eog_image_autorotate ()

    void
    eog_image_autorotate (EogImage *img);

### eog_image_get_profile ()

    cmsHPROFILE
    eog_image_get_profile (EogImage *img);

### eog_image_apply_display_profile ()

    void
    eog_image_apply_display_profile (EogImage *img,
                                     cmsHPROFILE display_profile);

### eog_image_undo ()

    void
    eog_image_undo (EogImage *img);

### eog_image_get_supported_mime_types ()

    GList *
    eog_image_get_supported_mime_types (void);

Gets the list of supported mimetypes

#### Returns

a GList of supported mimetypes.

[transfer none][element-type utf8]

### eog_image_is_supported_mime_type ()

    gboolean
    eog_image_is_supported_mime_type (const char *mime_type);

### eog_image_file_changed ()

    void
    eog_image_file_changed (EogImage *img);

Marks the image file contents as changed. Also, emits EogImage::file-changed signal.

#### Parameters

img | a EogImage |

### eog_image_is_file_changed ()

    gboolean
    eog_image_is_file_changed (EogImage *img);

### eog_image_get_metadata_status ()

    EogImageMetadataStatus
    eog_image_get_metadata_status (EogImage *img);

Returns the current status of the image metadata, that is, whether the metadata has not been read yet, is ready, or not available at all.

#### Parameters

img | a EogImage |

#### Returns

one of EogImageMetadataStatus

### eog_image_get_svg ()

    RsvgHandle *
    eog_image_get_svg (EogImage *img);

### eog_image_get_transform ()

    EogTransform *
    eog_image_get_transform (EogImage *img);

Get `img` transform.

#### Parameters

img | a EogImage |

#### Returns

A EogTransform.

[transfer none]

### eog_image_is_animation ()

    gboolean
    eog_image_is_animation (EogImage *img);

Checks whether a given image is animated.

#### Parameters

img | a EogImage |

#### Returns

TRUE if it is an animated image, FALSE otherwise.

### eog_image_is_svg ()

    gboolean
    eog_image_is_svg (EogImage *img);

### eog_image_start_animation ()

    gboolean
    eog_image_start_animation (EogImage *img);

Starts playing an animated image.

#### Parameters

img | a EogImage |

#### Returns

`TRUE` on success, `FALSE` if `img` is already playing or isn't an animated image.

### eog_image_is_file_writable ()

    gboolean
    eog_image_is_file_writable (EogImage *img);

Evaluate if the user has write permission on the image file.

#### Parameters

img | a EogImage |

#### Returns

`TRUE` on success, `FALSE` if the user hasn't write permissions on it, or `img` is not an EogImage.

### eog_image_is_multipaged ()

    gboolean
    eog_image_is_multipaged (EogImage *img);

Check whether the image actually contains multiple images/pages. This can happen for TIFF files. GIF animations are not multipaged.

Note that this only works if the image data is loaded.

#### Parameters

img | an EogImage |

#### Returns

`TRUE` if `img` is multipaged, `FALSE` if not or the image data wasn't loaded.

Since: 3.18

## Types and Values

### enum EogImageData

#### Members

EOG_IMAGE_DATA_IMAGE |  |
EOG_IMAGE_DATA_DIMENSION |  |
EOG_IMAGE_DATA_EXIF |  |
EOG_IMAGE_DATA_XMP |  |

### EOG_IMAGE_DATA_ALL

    #define             EOG_IMAGE_DATA_ALL

### enum EogImageError

#### Members

EOG_IMAGE_ERROR_SAVE_NOT_LOCAL |  |
EOG_IMAGE_ERROR_NOT_LOADED |  |
EOG_IMAGE_ERROR_NOT_SAVED |  |
EOG_IMAGE_ERROR_VFS |  |
EOG_IMAGE_ERROR_FILE_EXISTS |  |
EOG_IMAGE_ERROR_TMP_FILE_FAILED |  |
EOG_IMAGE_ERROR_GENERIC |  |
EOG_IMAGE_ERROR_UNKNOWN |  |

### EOG_IMAGE_ERROR

    #define EOG_IMAGE_ERROR eog_image_error_quark ()

### enum EogImageMetadataStatus

#### Members

EOG_IMAGE_METADATA_NOT_READ |  |
EOG_IMAGE_METADATA_NOT_AVAILABLE |  |
EOG_IMAGE_METADATA_READY |  |

### enum EogImageStatus

#### Members

EOG_IMAGE_STATUS_UNKNOWN |  |
EOG_IMAGE_STATUS_LOADING |  |
EOG_IMAGE_STATUS_LOADED |  |
EOG_IMAGE_STATUS_SAVING |  |
EOG_IMAGE_STATUS_FAILED |  |

### EogImage

    typedef struct _EogImage EogImage;

## Signal Details

### The `“changed”` signal

    void
    user_function (EogImage *eogimage,
                   gpointer  user_data)

Flags: Run Last

### The `“file-changed”` signal

    void
    user_function (EogImage *eogimage,
                   gpointer  user_data)

Flags: Run Last

### The `“next-frame”` signal

    void
    user_function (EogImage *img,
                   gint      delay,
                   gpointer  user_data)

The ::next-frame signal will be emitted each time an animated image advances to the next frame.

#### Parameters

img | the object which received the signal. |
delay | number of milliseconds the current frame will be displayed. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“save-progress”` signal

    void
    user_function (EogImage *eogimage,
                   gfloat    arg1,
                   gpointer  user_data)

Flags: Run Last

### The `“size-prepared”` signal

    void
    user_function (EogImage *eogimage,
                   gint      arg1,
                   gint      arg2,
                   gpointer  user_data)

Flags: Run Last

### The `“thumbnail-changed”` signal

    void
    user_function (EogImage *eogimage,
                   gpointer  user_data)

Flags: Run Last